package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Eve
 * @email mengmengeve@gmail.com
 * @create 2021/7/6
 */
@Data
@ApiModel(value = "好差评数量表")
public class CommitteeCountDTO {
    @ApiModelProperty(value = "总数")
    private Integer totalCount;

    @ApiModelProperty(value = "案件所属部门ID")
    private Long deptId;

    @ApiModelProperty(value = "评价的用户权限ID")
    private Long roleId;

    @ApiModelProperty(value = "评价的用户权限")
    private String userRole;

    @ApiModelProperty(value = "时间")
    private String createDate;

    @ApiModelProperty(value = "好评总数")
    private Integer good;

    @ApiModelProperty(value = "中评总数")
    private Integer medium;

    @ApiModelProperty(value = "差评总数")
    private Integer bad;

    public CommitteeCountDTO assembleCountDTO (){
        CommitteeCountDTO committeeCountDTO = new CommitteeCountDTO();
        committeeCountDTO.setTotalCount(0);
        committeeCountDTO.setGood(0);
        committeeCountDTO.setMedium(0);
        committeeCountDTO.setBad(0);

        return committeeCountDTO;
    }
}
